Bug 217592 - databases/influxdb: add MANPAGES option
Summary: databases/influxdb: add MANPAGES option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2017-03-06 20:28 UTC by Johannes Jost Meixner
Modified: 2017-06-20 20:23 UTC (History)
3 users (show)

See Also:
cheffo: maintainer-feedback+


Attachments
add manpages knob (30.65 KB, patch)
2017-03-06 20:28 UTC, Johannes Jost Meixner
no flags Details | Diff
add manpages knob, v2 (2.37 KB, patch)
2017-03-07 11:15 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2017-03-06 20:28:46 UTC
Created attachment 180573 [details]
add manpages knob

Influxdb has beautiful manpages that are currently not shipped.

Add a knob and glue to do that.
Comment 1 Johannes Jost Meixner freebsd_committer 2017-03-07 11:15:29 UTC
Created attachment 180596 [details]
add manpages knob, v2

Make patch apply to influx 1.2.
Comment 2 Palle Girgensohn freebsd_committer 2017-03-08 23:04:58 UTC
Great!

There is a standard knob for DOCS, can we use that instead of a custom one?

Palle
Comment 3 Palle Girgensohn freebsd_committer 2017-03-08 23:11:33 UTC
See https://www.freebsd.org/doc/en/books/porters-handbook/makefile-options.html, Section 5.12.1.3
Comment 4 Johannes Jost Meixner freebsd_committer 2017-03-22 16:59:03 UTC
I'd like to stick with MANPAGES: Mk/bsd.options.desc.mk provides a description for it, and there are 63 other ports that define this option.
Comment 5 Johannes Jost Meixner freebsd_committer 2017-06-03 11:48:09 UTC
Can we resolve this please? :-)
Comment 6 commit-hook freebsd_committer 2017-06-20 20:22:55 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun 20 20:22:17 UTC 2017
New revision: 443999
URL: https://svnweb.freebsd.org/changeset/ports/443999

Log:
  - databases/influxdb: add MANPAGES option

  PR:		217592
  Reported by:	xmj
  Approved by:	cheffo at freebsd-bg.org (maintainer) miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11219

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/pkg-plist
Comment 7 Jochen Neumeister freebsd_committer 2017-06-20 20:23:14 UTC
Committed, thanks :-)